import { r as registerInstance, c as createEvent, h } from './index-b4e0290f.js';
import { i as ix } from './index.esm.min-1ee6982c.js';

const bpSdkQuestionSetButtonCss = "";

let BpSdkQuestionSetButton = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    this.saveQuestionSet = createEvent(this, "saveQuestionSet", 7);
    /**
     * Text to be displayed
     */
    this.text = '';
    /**
     * Id for button
     */
    this.buttonId = ix(8);
    /**
     * Controls disabled state of button
     */
    this.buttonDisabled = false;
    this.useExternal = false;
    this.cssClasses = 'bp-sdk-question-set-button__container';
  }
  resetState() { }
  connectedCallback() {
    this.resetState();
  }
  componentWillLoad() {
    this.useExternal = !!customElements.get('bp-sdk-external-question-set-button');
    customElements.whenDefined('bp-sdk-external-question-set-button').then(() => {
      this.useExternal = true;
    });
    this.calculateButtonClasses(this.extraCssClasses);
  }
  calculateButtonClasses(extraClasses = '') {
    this.cssClasses = `bp-sdk-question-set-button__container ${extraClasses}`;
  }
  render() {
    return [this.useExternal && this.renderExternal(), !this.useExternal && this.renderInternal()];
  }
  renderExternal() {
    return h("bp-sdk-external-question-set-button", { buttonDisabled: this.buttonDisabled, buttonId: this.buttonId, text: this.text });
  }
  renderInternal() {
    return h("bp-sdk-button", { buttonDisabled: this.buttonDisabled, buttonId: this.buttonId, class: this.cssClasses, text: this.text });
  }
  static get watchers() { return {
    "extraCssClasses": ["calculateButtonClasses"]
  }; }
};
BpSdkQuestionSetButton.style = bpSdkQuestionSetButtonCss;

export { BpSdkQuestionSetButton as bp_sdk_question_set_button };
